import request from '@/utils/request'

// 查询任务数据列表
export function listTask(query) {
  return request({
    url: '/system/task/list',
    method: 'get',
    params: query
  })
}

// 查询任务数据详细
export function getTask(bizId) {
  return request({
    url: '/system/task/' + bizId,
    method: 'get'
  })
}

// 新增任务数据
export function addTask(data) {
  return request({
    url: '/system/task',
    method: 'post',
    data: data
  })
}

// 修改任务数据
export function updateTask(data) {
  return request({
    url: '/system/task',
    method: 'put',
    data: data
  })
}

// 删除任务数据
export function delTask(bizId) {
  return request({
    url: '/system/task/' + bizId,
    method: 'delete'
  })
}
